Subject: [PATCH 08/10] omap2+: Use dmtimer macros for clocksource

From: [email-masked] (Kevin Hilman)
Date: Mon, 27 Jun 2011 09:41:42 -0700

Tony Lindgren <[email-masked]> writes:

> * Tony Lindgren <[email-masked]> [110627 00:50]:
>> * Kevin Hilman <[email-masked]> [110623 10:06]:
>> > Tony Lindgren <[email-masked]> writes:
>> > > +
>> > > +	res = omap_dm_timer_init_one(&clksrc, gptimer_id, fck_source);
>> > 
>> > This function makes calls into "real" driver, but is called from
>> > sys_timer.init so happens before driver is initialized.
>> 
>> That one is the static omap2+ specific function that can be passed
>> to the dmtimer device driver as a function pointer in the later
>> patches. 
>>  
>> > > +	omap_dm_timer_set_load_start(&clksrc, 1, 0);
>> > 
>> > Here's another call into the real driver.  I think you need
>> > __omap_dm_timer_set_load_start() here.
>> 
>> Thanks, that's correct. Will fix that one.
>
> Here's this one updated. Looks like I still have your Reviewed-by
> lines from the last time this series got posted. Can you please check
> if those are still valid?

Yes, they're still valid as I've now been through the whole series.

Kevin